package router

import (
	"fmt"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
)

func MeetingRoute(r *gin.RouterGroup) {
	noAuth := r.Group("")
	auth := r.Group("")
	//auth.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider), middleware.AutoLog(service.AccountProvider, service.GrpcLogImpl))
	MeetingAuth := auth.Group("meeting")
	{
		MeetingAuth.POST("auth-info", service.AuthInfo)
	}

	MeetingNoAuth := noAuth.Group("meeting")
	{
		MeetingNoAuth.Any("subscribe-callback", service.SubscribeCallback)
	}
	fmt.Println(noAuth)
}
