// Package area -----------------------------
// @file      : areaRedis.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/7/23 下午4:07
// -------------------------------------------
package area

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/config"
	"github.com/go-redis/redis"
)

var areaRedis *redis.Client

func AreaRedis() *redis.Client {
	if areaRedis == nil {
		areaRedis = redis.NewClient(&redis.Options{
			Addr:     config.RedisAddr,
			Password: config.RedisPw,
			DB:       3,
		})
	}
	return areaRedis
}
