// Package asPush -----------------------------
// @file      : asPush.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/12/19 14:10
// -------------------------------------------
package asPush

const domain = "artistinfo"

// NewAsPush
// params artistInfoVersion: 默认版本3.0（使用unipush），小于3.0版本使用极光推送
func NewPusher(artistInfoVersion ...float32) IArtistInfoNotifyPush {
	var currentArtistInfoVersion float32 = 3.0
	if len(artistInfoVersion) > 0 && artistInfoVersion[0] < currentArtistInfoVersion {
		return NewArtistInfoJiGuangAppPush()
	} else {
		return NewArtistinfoUniPush()
	}
}
