package html

const BusinessTrip = `
{{ if eq .Type "businessTrip" }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  {{ range $index, $v := .ApprovalOA.BusinessTrip.ItineraryList }}
  <div class="journey"> <!-- 使用class属性 -->
    <span>交通工具: {{ $v.Vehicle }}</span>
    <span>出发地: {{ $v.StartAddress }}</span>
    <span>目的地: {{ $v.EndAddress }}</span>
    <span>开始时间:</span>
    <div>
      <span>{{ (index $v.ApplyTimes 0).Date }} </span>
      {{ if (index $v.ApplyTimes 0).Hour }}
      <span>{{ (index $v.ApplyTimes 0).Hour }}</span>
      {{ end }}
      {{ if (index $v.ApplyTimes 0).M }}
      <span>{{ (index $v.ApplyTimes 0).M }}</span>
      {{ end }}
    </div>
    <span>结束时间:</span>
    <div>
      <span>{{ (index $v.ApplyTimes 1).Date }} </span>
      {{ if (index $v.ApplyTimes 1).Hour }}
      <span>{{ (index $v.ApplyTimes 1).Hour }}</span>
      {{ end }}
      {{ if (index $v.ApplyTimes 1).M }}
      <span>{{ (index $v.ApplyTimes 1).M }}</span>
      {{ end }}
    </div>
    <span>时长:</span>
    <div>
      {{ if $v.Days }}
      <span>{{ $v.Days }}天</span>
      {{ end }}
    </div>
  </div>
  {{ end }}
  <div class="detail-box"> <!-- 使用class属性 -->
    <span>出差总天数: {{ .ApprovalOA.BusinessTrip.TotalDays }}</span>
    <span>理由: {{ .ApprovalOA.BusinessTrip.Reason }}</span>
    {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
    <span>撤销理由: {{ .ApprovalOA.RevokeReason }}</span>
    {{ end }}
  </div>
</div>
{{ end }}
`
