package html

const GoOut = `
{{ if eq .Type "goOut" }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  <span>开始时间:</span>
  <div>
    <span>{{ (index .ApprovalOA.GoOut.ApplyTimes 0).Date }} </span>
    {{ if (index .ApprovalOA.GoOut.ApplyTimes 0).Hour }}
    <span>{{ (index .ApprovalOA.GoOut.ApplyTimes 0).Hour }}</span>
    {{ end }}
    {{ if (index .ApprovalOA.GoOut.ApplyTimes 0).M }}
    <span>{{ (index .ApprovalOA.GoOut.ApplyTimes 0).M }}</span>
    {{ end }}
  </div>
  <span>结束时间:</span>
  <div>
    <span>{{ (index .ApprovalOA.GoOut.ApplyTimes 1).Date }} </span>
    {{ if (index .ApprovalOA.GoOut.ApplyTimes 1).Hour }}
    <span>{{ (index .ApprovalOA.GoOut.ApplyTimes 1).Hour }}</span>
    {{ end }}
    {{ if (index .ApprovalOA.GoOut.ApplyTimes 1).M }}
    <span>{{ (index .ApprovalOA.GoOut.ApplyTimes 1).M }}</span>
    {{ end }}
  </div>
  <span>时长:</span>
  <div>
    {{ if .ApprovalOA.GoOut.Days }}
    <span>{{ .ApprovalOA.GoOut.Days }}天</span>
    {{ end }}
    {{ if .ApprovalOA.GoOut.Hours }}
    <span>{{ .ApprovalOA.GoOut.Hours }}小时</span>
    {{ end }}
  </div>
  <span>理由: {{ .ApprovalOA.GoOut.Reason }}</span>
  {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
  <span>撤销理由: {{ .ApprovalOA.RevokeReason }}</span>
  {{ end }}
</div>
{{ end }}
`
