package html

const Handover = `
{{ if contains .Type "handover" }}
<div class="approval">
  <span label="序号" :span="1">序号: {{ .ID }};</span>
  <span label="申请人" :span="1">申请人: {{ .SubmitterName }};</span>
  <span label="申请类型" :span="1">申请类型: {{ .TypeName }};</span>
  <span label="部门/岗位" :span="1" content-style="width:150px">部门/岗位: {{ range .ApprovalOA.Turnover.Positions }} {{ .DepartmentName }}/{{ .PositionName }};{{ end }}</span>
  <span label="工号" :span="1">工号: {{ .ApprovalOA.Turnover.StaffNum }};</span>
  <span label="入职日期" :span="1">入职日期: {{ .ApprovalOA.Turnover.JoinTime }};</span>
  <span label="离职日期">离职日期: {{ .ApprovalOA.Turnover.LeftTime }};</span>
  <span label="联系电话">联系电话: {{ .ApprovalOA.Turnover.ContactInfo }};</span>
  <span label="离职后住址">离职后住址: {{ .ApprovalOA.Turnover.Address }};</span>
  <span label="交接人" :span="1">交接人: {{ .ApprovalOA.Turnover.HandoverName }};</span>
  <span label="监交人" :span="1">监交人: {{ .ApprovalOA.Turnover.SuperviseName }};</span>
  <span label="工作交接事项" :span="1">工作交接事项: {{ .ApprovalOA.Turnover.SuperviseName }};</span>
  <span label="财务交接事项" :span="1">财务交接事项: {{ .ApprovalOA.Turnover.SuperviseName }};</span>
  {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
  <span :span="3" label="撤销理由:">撤销理由: {{ .ApprovalOA.RevokeReason }};</span>
  {{ end }}
</div>
{{ end }}
`
