package html

const ShowUpdate = `
{{ if eq .Type "showUpdate" }}
<div class="approval">
<span label="序号:">序号: {{ .ID }};</span>
<span label="申请人:">申请人:{{ .SubmitterName }};</span>
<span label="申请类型:">申请类型: {{ .TypeName }};</span>
<span :span="3" label="详情">
详情: {{ range .ExhibitionHis.ApprovalExhibitionHiss }}
<span class="detail-box" title="画展包：{{ .PackageName }};">
<span label="画展时间:">画展时间: {{ .ShowDate }};</span>
<span label="画展地址:">画展地址: {{ .Address }};</span>
<span label="画家名称:">画家名称:{{ if .ArtExhibitionDetail.ArtistShowCount }}{{ .ArtExhibitionDetail.ArtistShowCount }}{{ else }}{{ .ArtExhibitionDetail.ArtistName }};{{ end }}</span>
<span label="包含画作数量:">包含画作数量:{{ .ArtExhibitionDetail.ArtworkNum }};</span>
<span label="包含画作总平尺:">包含画作总平尺:{{ .ArtExhibitionDetail.Ruler }};</span>
<span label="画作总价:">画作总价: {{ .TotalPrice }};</span>
<span :span="3" label="推荐人:">推荐人: {{ .ArtExhibitionDetail.Agent }};</span>
<span :span="3" label="画作详情:">
<table class="artwork-table">
画作详情:
{{ range .Artworks }}
<tr>
<td><img style="height: 40px; width: 40px" src="{{ .SmallPic }}?x-oss-process=image/resize,w_158,h_158" /></td>
<td>{{ .Reward }}</td>
<td>{{ .Reward * .Ruler }}</td>
<td>{{ .SaleAddress }}</td>
</tr>;
{{ end }}
</table>
</span>
</span>
{{ end }}
</span>
<span :span="3" label="具体内容">具体内容: {{ .Content }};</span>
</span>
{{ end }}
</div>
`
