package html

const Turnover = `
{{ if contains .Type "turnover" }}
<div class="approval">
  <span>{{ "序号: " }}{{ .ID }};</span>
  <span>{{ "申请人: " }}{{ .SubmitterName }};</span>
  <span>{{ "申请类型: " }}{{ .TypeName }};</span>
  <span style="width:150px;">{{ "部门/岗位: " }}{{ range .ApprovalOA.Turnover.Positions }}{{ .DepartmentName }}/{{ .PositionName }}; {{ end }}</span>
  <span>{{ "工号: " }}{{ .ApprovalOA.Turnover.StaffNum }};</span>
  <span>{{ "入职日期: " }}{{ .ApprovalOA.Turnover.JoinTime }};</span>
  <span>{{ "离职日期: " }}{{ .ApprovalOA.Turnover.LeftTime }};</span>
  <span>{{ "联系电话: " }}{{ .ApprovalOA.Turnover.ContactInfo }};</span>
  <span>{{ "离职后住址: " }}{{ .ApprovalOA.Turnover.Address }};</span>
  <span>{{ "交接人: " }}{{ .ApprovalOA.Turnover.HandoverName }};</span>
  <span>{{ "监交人: " }}{{ .ApprovalOA.Turnover.SuperviseName }};</span>
  <span>{{ "工作交接事项: " }}{{ .ApprovalOA.Turnover.WorkItems }};</span>
  <span>{{ "财务交接事项: " }}{{ .ApprovalOA.Turnover.FinanceItems }};</span>
  {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
  <span>{{ "撤销理由: " }}{{ .ApprovalOA.RevokeReason }};</span>
  {{ end }}
</div>
{{ end }}
`
