package html

const Work = `
{{ if eq .Type "work" }}
<div class="approval">
  <span>序号: {{ .ID }};</span>
  <span>申请人: {{ .SubmitterName }};</span>
  <span>申请类型: {{ .TypeName }};</span>
  <span>具体内容: {{ .Content }};</span>
  <span>画作详情:</span>
  <table class="artwork-table">
    {{ range .Work.ApprovalWorks }}
    <tr>
      <td><img style="height: 40px; width: 40px" src="{{ .ArtworkCover }}?x-oss-process=image/resize,w_40,h_40" /></td>
      <td>{{ if .ArtistShowCount }}{{ .ArtistShowCount }}{{ else }}{{ .ArtistName }}{{ end }};</td>
    </tr>
    {{ end }}
  </table>
  <span>具体内容: {{ .Content }};</span>
</div>
{{ end }}
`
