package model

const Tmpl = `
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Struct Data Display</title>
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        img {
            max-width: 100%;
            height: auto;
        }
    </style>
</head>
<body>
    <h1>EsApproval Data</h1>
    <table>
        <tr>
            <th>序号:</th>
            <td>{{ .ID }}</td>
        </tr>
        <tr>
            <th>主体:</th>
            <td>{{ .Domain }}</td>
        </tr>
        <!-- Repeat for each field... -->
        <tr>
            <th>创建时间:</th>
            <td>{{ .CreatedAt }}</td>
        </tr>
       
        <!-- Repeat for other fields that may contain images... -->
    </table>

    <script>
        function isImageUrl(url) {
            return url.match(/\.(jpeg|jpg|gif|png)$/) != null;
        }
    </script>
</body>
</html>
`

/*
 //<tr>
        //    <th>CustomizeInfo</th>
        //    <td>
        //        {{ range $index, $element := .CustomizeInfo }}
        //            <div>
        //                <strong>{{ $element.ApprovalName }}:</strong> {{ if isImageUrl $element.ApprovalValue }}<img src="{{ $element.ApprovalValue }}" alt="{{ $element.ApprovalName }}">{{ else }}{{ $element.ApprovalValue }}{{ end }}
        //            </div>
        //        {{ end }}
        //    </td>
        //</tr>
*/
