package common

var LeaveApplyMap = map[string]string{
	"annualLeave":   "oa", // 年假
	"parentalLeave": "oa", // 育儿假
	"nursingLeave":  "oa", //  独生子女护理假

	"matingCheckLeave":   "oa", // 孕检假
	"maternityLeave":     "oa", // 产假
	"paternityLeave":     "oa", // 陪产假
	"funeralLeave":       "oa", // 丧假
	"abortLeave":         "oa", // 流产假
	"breastFeedingLeave": "oa", // 哺乳假
	"dayOff":             "oa", // 调休
	"leave":              "oa", // 事假
	"sick":               "oa", // 病假
	"goOut":              "oa", // 外出
	"businessTrip":       "oa", // 出差

	"maritalLeave": "oa", // 婚假
}

var WithOutOutworkApply = []string{
	"annualLeave",
	"parentalLeave",
	"matingCheckLeave",
	"maternityLeave",
	"paternityLeave",
	"funeralLeave",
	"abortLeave",
	"breastFeedingLeave",
	"dayOff",
	"leave",
	"sick",
	"maritalLeave",
	"overTime",
	"goOut",
	"businessTrip",
}

var WithOutOvertimeApply = []string{
	"annualLeave",
	"parentalLeave",
	"matingCheckLeave",
	"maternityLeave",
	"paternityLeave",
	"funeralLeave",
	"abortLeave",
	"breastFeedingLeave",
	"dayOff",
	"leave",
	"sick",
	"maritalLeave",
	"outWork",
	"goOut",
	"businessTrip",
}

var WithGoOutApply = []string{
	"annualLeave",
	"parentalLeave",
	"matingCheckLeave",
	"maternityLeave",
	"paternityLeave",
	"funeralLeave",
	"abortLeave",
	"breastFeedingLeave",
	"dayOff",
	"leave",
	"sick",
	"maritalLeave",
	"outWork",
	"overTime",
	"goOut",
	"businessTrip",
}

var WithBusinessTripApply = []string{
	"annualLeave",
	"parentalLeave",
	"matingCheckLeave",
	"maternityLeave",
	"paternityLeave",
	"funeralLeave",
	"abortLeave",
	"breastFeedingLeave",
	"dayOff",
	"leave",
	"sick",
	"maritalLeave",
	"outWork",
	"overTime",
	"goOut",
	"businessTrip",
}
