package model

type DurationReq struct {
	TimeOptions TimeOptionBest `json:"timeOptions"` // 考勤规则
	ApplyTimes  []ApplyTime    `json:"applyTimes"`  // 请假时间
}

type Data struct {
	ApplyTimes []ApplyTime `json:"applyTimes"` // 请假时间
}

type ApplyTime struct {
	Date string `json:"Date"`
	Hour string `json:"Hour"`
	M    string `json:"M"` // 上午|下午
}

type TimeOptionBest struct {
	Times []*TimeOption `json:"times"`
	Week  string        `json:"week"`
}

type DurationRes struct {
	TakeOut    LeaveDuration `json:"takeOut"`    // 去除 中午休息
	NotTakeOut LeaveDuration `json:"notTakeOut"` //  未去除 中午休息
}

type LeaveDuration struct {
	Days  float32 `json:"days"`
	Hours float32 `json:"hours"`
}
