package approval

import (
	"context"
	api "github.com/fonchain_enterprise/fonchain-main/api/approval"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
)

// QueryApprovalSetStatusBefore 查询 审批状态未更改之前的审批信息
func QueryApprovalSetStatusBefore(approvalID uint64) *api.CreateRequest {
	detailReq := api.DetailRequest{ID: approvalID}
	detail, err := service.ApprovalProvider.Detail(context.Background(), &detailReq)
	if err != nil {
		return nil
	}
	return detail
}
