package approval

import (
	"github.com/fonchain_enterprise/fonchain-main/api/approval"
	"strconv"
)

// BuildBundlePayPriceBefore 构建画展包审批前价格
func BuildBundlePayPriceBefore(in *approval.CreateRequest) {
	if in.BundlePayPrice == nil {
		return
	}

	price, _ := strconv.Atoi(in.BundlePayPrice.ShowLowPrice)
	if price == 0 {
		return
	}

	if in.BundlePayPrice.ArtworkNum == 0 {
		return
	}

	// TODO
	//firstArtworkPrice, firstCopyrightPrice, secondArtworkPrice, secondCopyrightPrice := logic.CalcArtworkAndCopyrightPriceForPay(price,int(in.BundlePayPrice.ArtworkNum))
	//in.BundlePayPrice. = firstArtworkPrice
}
