// Package asArtshow -----------------------------
// @file      : dto_copyrightComment.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/7/24 下午7:26
// -------------------------------------------
package asArtshow

import "github.com/fonchain_enterprise/fonchain-main/api/digital_copyright"

type GetCopyrightCommentListRequest struct {
	ArtistUid string `json:"artistUid"`
}

type CopyrightCommentListType struct {
	//SuppId                string `json:"suppId"`
	//WorkName              string `json:"workName"`
	//Tfnum                 string `json:"tfnum"`
	//AuthorName            string `json:"authorName"`
	//WorkFileUrl           string `json:"workFileUrl"`
	//CopyrightId           string `json:"copyrightId"`
	//ArtistUuid            string `json:"artistUuid"`
	//ArtworkUuid           string `json:"artworkUuid"`
	//RemarkBrokerUpdatedAt string `json:"remarkBrokerUpdatedAt"`
	//RemarkUpdatedAt       string `json:"remarkUpdatedAt"`
	*digital_copyright.SupplementListResp_Info
	Status int64 `json:"status"` //1=未填写，2=已填写，3=已锁定
}

type CopyrightCommentType struct {
	//SuppId                string `json:"suppId"`
	//WorkName              string `json:"workName"`
	//Tfnum                 string `json:"tfnum"`
	//AuthorName            string `json:"authorName"`
	//WorkFileUrl           string `json:"workFileUrl"`
	//CopyrightId           string `json:"copyrightId"`
	//ArtistUuid            string `json:"artistUuid"`
	//ArtworkUuid           string `json:"artworkUuid"`
	//RemarkBrokerUpdatedAt string `json:"remarkBrokerUpdatedAt"`
	//RemarkUpdatedAt       string `json:"remarkUpdatedAt"`
	Status int64 `json:"status"` //1=未填写，2=已填写，3=已锁定
	//RemarkDetail          string `json:"remarkDetail"`
	*digital_copyright.SupplementDetailResp
}
