package asUser

import "github.com/fonchain_enterprise/fonchain-main/api/artistInfoUser"

type GetBackendUserViewListRequest struct {
	Page     int64 `json:"page"`
	PageSize int64 `json:"pageSize"`
	IsArtist int64 `json:"isArtist"`
	artistInfoUser.BackendUserViewData
}

type ExportBackendUserViewListRequest struct {
	UserIds   []int64 `json:"userIds"`
	ColumnIds []int64 `json:"columnIds"`
	IsArtist  int64   `json:"isArtist"` //1已认证 2未认证画家 3实名画家（不管已认证未认证)
}
