// Package asUser -----------------------------
// @file      : dtoInvite.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/7/5 下午5:31
// -------------------------------------------
package asUser

import "github.com/fonchain_enterprise/fonchain-main/api/artistInfoUser"

type InviteUserType struct {
	*artistInfoUser.InvitedUser
	FlowPrice                   string `json:"flowPrice"`
	ArtistIndexEditStatus       int    `json:"artistIndexEditStatus"`       //1 已填写 2 未填写
	ArtistProfileEditStatus     int    `json:"artistProfileEditStatus"`     //1 已填写 2 未填写
	ArtworkSupplementEditStatus int    `json:"artworkSupplementEditStatus"` //1 已填写 2 未填写 3 无
	CopyrightCommentEditStatus  int    `json:"copyrightCommentEditStatus"`  //释义补充信息填写状态 1 已填写 2 未填写  3 无
	InArtistBlackList           bool   `json:"inArtistBlackList"`           //是否在画家黑名单中
}
