// Package inCircleArticle -----------------------------
// @file      : dto.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2023/8/28 16:05
// -------------------------------------------
package inCircleArticle

import "github.com/fonchain_enterprise/fonchain-main/api/inCircleArticle"

type GetCommentListRequest struct {
	inCircleArticle.CommentData
	Page                  int64  `json:"page"`
	PageSize              int64  `json:"pageSize"`
	RequestInCircleUserId int64  `json:"requestInCircleUserId"`
	Name                  string `json:"name"`
}

type GetSwiperListRequest struct {
	inCircleArticle.SwiperData
	Page     int64 `json:"page"`
	PageSize int64 `json:"pageSize"`
}

type GetInCircleArticleListRequest struct {
	inCircleArticle.InCircleArticleData
	Page                  int64 `json:"page"`
	PageSize              int64 `json:"pageSize"`
	RequestInCircleUserId int64 `json:"requestInCircleUserId"`
}

type GetInCircleUserListRequest struct {
	inCircleArticle.InCircleUserData
	Page     int64 `json:"page"`
	PageSize int64 `json:"pageSize"`
}
