// Package mailArtwork -----------------------------
// @file      : mailArtworkReturnArtworkDto.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/10/31 下午4:04
// -------------------------------------------
package mailArtwork

import "github.com/fonchain_enterprise/fonchain-main/api/mailArtwork"

type GetArtistReturnStatDataListRequest struct {
	mailArtwork.ArtistReturnStatData
	Page     int64  `json:"page"`
	PageSize int64  `json:"pageSize"`
	Where    string `json:"where"`
	Order    string `json:"order"`
}
type GetCanReturnArtworkListRequest struct {
	mailArtwork.CanReturnArtworkData
	Page     int64  `json:"page"`
	PageSize int64  `json:"pageSize"`
	Where    string `json:"where"`
	Order    string `json:"order"`
}
type GetViewReturnArtworkDataListRequest struct {
	Page     int64 `json:"page"`
	PageSize int64 `json:"pageSize"`
	mailArtwork.ViewReturnArtworkData
}
