package common

var keyWordMap = map[string]string{
	"普通审批":     "content",
	"画作申请审批":   "work",
	"画展包审批":    "exhibition",
	"画展包数量审批":  "bundle",
	"画展审批":     "show",
	"画展包付款单申请": "bundlePayPrice",
	"画作润格审批":   "artExhibitionReward",
	"画展包修改审批":  "showUpdate",
	"任命审批":     "promotion",
	"人员增补申请":   "staffSupply",
	"录用申请":     "employ",
	"签到申请":     "checkIn",
	"退回审批":     "returnArtwork",
	"画展包生成审批":  "banShow",

	"事假":      "leave",              // 事假
	"病假":      "sick",               // 病假
	"年假":      "annualLeave",        // 年假
	"调休":      "dayOff",             // 调休
	"婚假":      "maritalLeave",       // 婚假
	"孕检假":     "matingCheckLeave",   // 孕检假
	"产假":      "maternityLeave",     // 产假
	"陪产假":     "paternityLeave",     // 陪产假
	"育儿假":     "parentalLeave",      // 育儿假
	"独生子女护理假": "nursingLeave",       // 独生子女护理假
	"丧假":      "funeralLeave",       // 丧假
	"流产假":     "abortLeave",         // 流产假
	"哺乳假":     "breastFeedingLeave", // 哺乳假

	"补卡":   "makeUp",       // 补卡
	"加班":   "overTime",     // 加班
	"外勤":   "outWork",      // 外勤
	"离职申请": "turnover",     // 离职
	"离职交接": "handover",     // 离职交接
	"出差":   "businessTrip", // 出差
	"外出":   "goOut",        // 外出

	"年假申请":      "annualLeaveApply",      // 年假申请
	"婚假申请":      "maritalLeaveApply",     // 婚假申请
	"孕检假申请":     "matingCheckLeaveApply", // 孕检假申请
	"产假申请":      "maternityLeaveApply",   // 产假申请
	"陪产假额度申请":   "paternityLeaveApply",   // 陪产假申请
	"育儿假额度申请":   "parentalLeaveApply",    // 育儿假申请
	"独生子女护理假申请": "nursingLeaveApply",     // 独生子女护理假申请
	"丧假申请":      "funeralLeaveApply",     // 丧假申请
	"财务表单审批":    "financialFormApply",    // 财务表单审批
	"岗位申请":      "position",              //岗位申请
}
