package html

const BundlePayPrice = `
{{ if eq .Type "bundlePayPrice" }}
<div class="approval">
  <span>序号: {{ .ID }};</span>
  <span>申请人: {{ .SubmitterName }};</span>
  <span>申请类型: {{ .TypeName }};</span>
  <span>画展包名称: {{ .BundlePayPrice.ShowName }};</span>
  <span>画家名称: {{ if .BundlePayPrice.ArtistShowCount }}{{ .BundlePayPrice.ArtistShowCount }}{{ else }}{{ .BundlePayPrice.ArtistName }}{{ end }};</span>
  <span>画展包底价: {{ .BundlePayPrice.ShowLowPrice }};</span>
  <span>画作数量: {{ .BundlePayPrice.ArtworkNum }};</span>
  <span>画作总平尺数: {{ .BundlePayPrice.ArtworkSize }};</span>
  <span>画展时间: {{ .BundlePayPrice.ShowDate }};</span>
  <span>画展地点: {{ .BundlePayPrice.ShowAddress }};</span>
</div>
{{ end }}
`
