package html

// 画展包审批 ,画展包润格详情
const Exhibition = `
{{ if or (eq .Type "exhibition") (eq .Type "artExhibitionReward") }}
<div class="approval">
  <span>序号: {{ .ID }};</span>
  <span>申请人: {{ .SubmitterName }};</span>
  <span>申请类型: {{ .TypeName }};</span>
  <span>详情:</span>
  {{ range .Exhibition.ApprovalExhibitions }}
    <span>画展名称: {{ .PackageName }};</span>
    {{ if eq $.Type "exhibition" }}
    <span>画展时间: {{ .ShowDate }};</span>
    <span>画展地址: {{ .Address }};</span>
    {{ end }}
    <span>画家名称: {{ if .ArtExhibitionDetail.ArtistShowCount }}{{ .ArtExhibitionDetail.ArtistShowCount }}{{ else }}{{ .ArtExhibitionDetail.ArtistName }}{{ end }};</span>
    <span>包含画作数量: {{ .ArtExhibitionDetail.ArtworkNum }};</span>
    <span>包含画作总平尺: {{ .ArtExhibitionDetail.Ruler }};</span>
    <span>画作总价: {{ .TotalPrice }};</span>
    <span>推荐人: {{ .ArtExhibitionDetail.Agent }};</span>
    <span>画作详情:</span>
    <table class="artwork-table">
      {{ range .Artworks }}
      <tr>
        <td><img style="height: 40px; width: 40px" src="{{ .SmallPic }}?x-oss-process=image/resize,w_158,h_158" /></td>
        <td>{{ .Reward }}</td>
        <td>{{ printf "%.2f" (mul (parseFloat .Reward) (toFloat64 .Ruler)) }}</td>
        <td>{{ .SaleAddress }}</td>
      </tr>
      {{ end }}
    </table>
  </div>
  {{ end }}
  <span>具体内容: {{ .Content }};</span>
</div>
{{ end }}
`
