package html

const FinancialFormApply = `
{{ if eq .Type "financialFormApply" }}
<div class="approval">
<span>序号: {{ .ID }};</span>
<span>申请人: {{ .SubmitterName }};</span>
<span>申请类型: {{ .TypeName }};</span>
<span>付款公司别: {{ .FinancialForm.PaymentCompany }};</span>
<span>经办部门: {{ .FinancialForm.TransactionDepartment }};</span>
<span>收款人全称: {{ .FinancialForm.Payee }};</span>
<span>收款人开户行: {{ .FinancialForm.BeneficiaryBank }};</span>
<span>收款人账号: {{ .FinancialForm.BankNo }};</span>
<span>费用说明:</span>
{{ range $index, $item := .FinancialForm.CostInfo }}
<span>费用{{ $index }}说明 - 费用单价: {{ $item.UnitPrice }};</span>
<span>费用{{ $index }}说明 - 费用单位: {{ $item.CostUnit }};</span>
<span>费用{{ $index }}说明 - 费用数量: {{ $item.CostNum }};</span>
<span>费用{{ $index }}说明 - 费用总额: {{ $item.TotalPrice }};</span>
<span>费用{{ $index }}说明 - 使用部门: {{ $item.UsedDepartment }};</span>
<span>费用{{ $index }}说明 - 付款方式: {{ $.FinancialForm.PaymentMethod }};</span>
{{ end }}
<span>发票信息:</span>
{{ range $index, $item := .FinancialForm.InvoiceInfo }}
<span>发票信息{{ $index }} - 发票日期: {{ $item.InvoiceDate }};</span>
<span>发票信息{{ $index }} - 发票号码(电子发票需提供): {{ $item.InvoiceNo }};</span>
<span>发票信息{{ $index }} - 发票供应商名称: {{ $item.InvoiceProvider }};</span>
<span>发票信息{{ $index }} - 发票或付款金额: {{ $item.Amount }};</span>
<span>发票信息{{ $index }} - 费用用途: {{ $item.UseTo }};</span>
<span>发票信息{{ $index }} - 申请人: {{ $item.Applicant }};</span>
<span>发票信息{{ $index }} - 付款方式: {{ $item.PaymentMethod }};</span>
<span>发票信息{{ $index }} - 付款或报销对象: {{ $item.PaymentObj }};</span>
<span>发票信息{{ $index }} - 发票类型: {{ $item.InvoiceType }};</span>
<span>发票信息{{ $index }} - 备注: {{ $item.Notes }};</span>
{{ end }}
<span>具体内容: {{ .Content }};</span>
</div>
{{ end }}
`
