package html

const Show = `
{{ if eq .Type "show" }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  <div> <!-- 用于展示详情的div -->
    {{ range $index, $exh := .Show }}
    <div class="exhibition-detail"> <!-- 包含单个画展详情的div -->
      <span>画展{{ $index + 1 }}:</span>
      <div>时间: {{ $exh.ShowAt }}</div>
      <div>地址: {{ $exh.Address }}</div>
      <div>人数: {{ $exh.ArtistNum }}</div>
    </div>
    {{ end }}
  </div>
</div>
{{ end }}
`
