package model

type SearchApproval struct {
	UserID    uint64      `json:"userID"`
	Value     interface{} `json:"value"`
	Page      int         `json:"Page"`
	PageSize  int         `json:"PageSize"`
	QueryType int         `json:"queryType"` // 1 你已提交  2 待你审批  3 你已审批  4 抄送查看  5 全部审批
	MenuType  int         `json:"menuType"`  // 1 考勤  2 其他
}

type SearchApprovalRes struct {
	Count int64         `json:"Count"`
	Data  []*EsApproval `json:"data"`
}
