package exam

import "github.com/fonchain_enterprise/fonchain-main/api/exam"

type GetCertListRequest struct {
	Page     int64 `json:"page"`
	PageSize int64 `json:"pageSize"`
	exam.CertData
	EnableStatic bool  `json:"enableStatic"`
	Status       int64 `json:"status"`
}

type GetCertListType struct {
	ID        int64  `json:"id"`
	CreatedAt string `json:"createdAt"`
	UpdatedAt string `json:"updatedAt"`
	DeletedAt int64  `json:"deletedAt"`
	Name      string `json:"name"`
	SampleUrl string `json:"sampleUrl"`
	Thumbnail string `json:"thumbnail"`
	Desc      string `json:"desc"`
	ValidTime int64  `json:"validTime"`
	CreatedBy string `json:"createdBy"`
	CreatorId int64  `json:"creatorId"`
	UpdatedBy string `json:"updatedBy"`
	UpdaterId int64  `json:"updaterId"`
	OwnerNum  int64  `json:"ownerNum"`
	Status    int64  `json:"status"`
}
