package model

type Version struct {
	Describe       string `json:"describe"`
	EditionUrl     string `json:"edition_url"`
	EditionForce   int64  `json:"edition_force"`
	PackageType    int64  `json:"package_type" `
	EditionIssue   int64  `json:"edition_issue"`
	EditionNumber  int64  `json:"edition_number"`
	EditionName    string `json:"edition_name"`
	EditionSilence int64  `json:"edition_silence"`
	VersionType    string `json:"version_type"`
}

type VersionList struct {
	List  []*Version `json:"list"`
	Msg   string     `json:"msg"`
	Total int64      `json:"total"`
}
