/*
 * @FileName:   if.go
 * @Author:		JJXu
 * @CreateTime:	2022/3/31 下午10:34
 * @Description:
 */

package utils

func If(condition bool, trueVal, falseVal interface{}) interface{} {
	if condition {
		return trueVal
	}
	return falseVal
}

// 泛型if else
func IfGec[T ~string | ~int | ~int32 | ~int64 | ~bool | ~float32 | ~float64](condition bool, trueVal, falseVal T) T {
	if condition {
		return trueVal
	}
	return falseVal
}
